Bug 2074100

Summary: CRD filtering according to name broken
Product: OpenShift Container Platform Reporter: Pavol Pitonak <ppitonak>
Component: Management ConsoleAssignee: Robb Hamilton <rhamilto>
Status: CLOSED ERRATA QA Contact: Yadan Pei <yapei>
Severity: low Docs Contact:
Priority: unspecified    
Version: 4.10CC: aos-bugs, jhadvig, nmukherj, yapei
Target Milestone: ---   
Target Release: 4.11.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of:
: 2076370 (view as bug list) Environment:
Last Closed: 2022-08-10 11:05:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2076370    
Attachments:
Description Flags
screenshot
none
Fuzzy Search CRD none

Description Pavol Pitonak 2022-04-11 14:32:52 UTC
Created attachment 1871826 [details]
screenshot

Description of problem:

When I try to find "Proxy" CRD and type "proxy" to the filter input, no result is displayed. When I search for "prox", one result is shown.


Version-Release number of selected component (if applicable):

4.10.6

How reproducible:


Steps to Reproduce:
1. Administration -> CustomResourceDefinitions
2. type "proxy" into "Search by name..." input 
3.

Actual results:

no CRD displayed

Expected results:

at least one result

Additional info:

Comment 4 Siva Reddy 2022-04-21 20:19:27 UTC
Created attachment 1874259 [details]
Fuzzy Search CRD


ClusterVersion:
 4.11.0-0.nightly-2022-04-21-025500

Steps:
  1. go to Administration>Custom Resource Definitions
  2. search for Proxy and it returns search

Now the fuzzy search works in the CRD search box

Comment 7 errata-xmlrpc 2022-08-10 11:05:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069